; This is the settings file for Capture2Text.
; Feel free to edit anything.

;-----------------------------------------------------------------------------
[Output]
; Save the output text to the clipboard? 0 = No, 1 = Yes.
SaveToClipboard=1

; Send the output text to whichever textbox contains the blinking cursor?
; 0 = No, 1 = Yes.
SendToCursor=0
; Apply ControlSendCommandBefore and ControlSendCommandAfter (see below) when
; sending to cursor? 0 = No, 1 = Yes.
SendToCursorApplyBeforeAndAfterCommands=1

; (Advanced) Send the output text to the specified control? 0 = No, 1 = Yes.
SendToControl=0
; If SendToControl=1, the window title of the control to send to.
ControlWindowTitle=Notepad++
; If SendToControl=1, the classNN of the control to send to (use AutoIt3
; Window Spy to get this).
ControlClassNN=Scintilla1
; If SendToControl=1, replace the control text instead of sending to it (doesn't
; always work, depends on the control).
ReplaceControlText=0
; Send an AutoHotKey command to the control before sending the text (for example,
; if you wanted to clear the contents first).
ControlSendCommandBefore=
; Send an AutoHotKey command to the control after sending the text (for example, {Enter}).
ControlSendCommandAfter=

; Show a dialog that pops-up with the output text? 0 = No, 1 = Yes.
PopupWindow=0
; The width of the popup window in pixels: (300|350|400|450|500|550|600|650|700|750|800).
PopupWindowWidth=350
; The height of the popup window in pixels: (50|100|150|200|250|300|350|400|450|500|550|600|650|700|750|800).
PopupWindowHeight=100

; Prepend the output text with the following text. For special characters,
; use these tokens: ${cr} = Carriage return, ${lf} = Linefeed, ${tab} = Tab.
PrependText=
; Append the output text with the following text. For special characters,
;  use these tokens: ${cr} = Carriage return, ${lf} = Linefeed, ${tab} = Tab.
AppendText=

; 0 = Replace carriage returns and linefeeds with spaces. For Japanese/Chinese remove them.
; 1 = Leave the newline characters as is (except in the preview)
preserveNewlines=0

;-----------------------------------------------------------------------------
[OCRSpecific]
; Factor to resize captured image before passing it to the OCR tool.
ScaleFactor=3.5

; Enable OCR pre-processing to OCR accuracy? 0 = No, 1 = Yes.
OcrPreProcessing=1

; Attempt to strip furigana for Japanese text? 0 = No, 1 = Yes.
OcrStripFurigana=1

; OCR dictionary to use.
; Options:
# Afrikaans
# Albanian
# Amharic
# Ancient Greek
# Arabic
# Assamese
# Azerbaijani (Alternate)
# Azerbaijani
# Basque
# Belarusian
# Bengali
# Bosnian
# Bulgarian
# Burmese
# Catalan
# Cebuano
# Central Khmer
# Cherokee
# Chinese (NHocr)
# Chinese - Simplified
# Chinese - Traditional
# Croatian
# Czech
# Danish (Alternate)
# Danish
# Dutch
# Dzongkha
# English
# Esperanto
# Estonian
# Finnish
# Frankish
# French
# Galician
# Georgian (old)
# Georgian
# German (Alternate)
# German
# Greek
# Gujarati
# Haitian
# Hebrew
# Hindi
# Hungarian
# Icelandic
# Indic
# Indonesian
# Inuktitut
# Irish
# Italian (Old)
# Italian
# Japanese (NHocr)
# Japanese
# Javanese
# Kannada
# Kazakh
# Kirghiz
# Korean
# Kurukh
# Lao
# Latin
# Latvian
# Lithuanian
# Macedonian
# Malay
# Malayalam
# Maltese
# Marathi
# Math/Equations
# Middle English (1100-1500)
# Middle French (1400-1600)
# Nepali
# Norwegian
# Odiya
# Panjabi
# Persian
# Polish
# Portuguese
# Pushto
# Romanian
# Russian
# Sanskrit
# Serbian
# Sinhala
# Slovak (Alternate)
# Slovak
# Slovenian
# Spanish (Old)
# Spanish
# srp_latn
# Swahili
# Swedish
# Syriac
# Tagalog
# Tajik
# Tamil
# Telugu
# Thai
# Tibetan
# Tigrinya
# Turkish
# Uighur
# Ukrainian
# Urdu
# Uzbek (Alternate)
# Uzbek
# Vietnamese
# Welsh
# Yiddish
Dictionary=English
; The dictionary to use when Dictionary1Key is pressed.
Dictionary1=English
; The dictionary to use when Dictionary2Key is pressed.
Dictionary2=Japanese
; The dictionary to use when Dictionary3Key is pressed.
Dictionary3=French
; The text direction: (Horizontal, Vertical, Auto).
; Only used with Tesseract Chinese and Japanese dictionaries.
TextDirection=Auto
; OCR Method to use (Traditional (good - faster), Cube (better - slower), Auto (best - slowest))
OcrMethod=Traditional (good - faster)

; The color of the capture box (in hexadecimal, RRGGBB).
; You can use http://html-color-codes.info/ to help with this.
CaptureBoxColor=0080FF
; The opacity (alpha) of the capture box: (30|40|50|60|70|80)
; 30 is very transparent, 80 is more opaque.
CaptureBoxAlpha=40

; Enable the preview window? 0 = No, 1 = Yes.
PreviewBoxEnabled=1
; The font of the preview. If you don't specify a value, a default font
; will be used.
PreviewBoxFont=Arial
; The font size of the preview text (8|9|10|11|12|14|16|18|20|22|24|26|28|36|48|72)
PreviewBoxFontSize=16
; The color of the preview box text (in hexadecimal, RRGGBB).
PreviewBoxTextColor=00AAFF
; The background color of the preview box (in hexadecimal, RRGGBB).
PreviewBoxBackgroundColor=080808
; The opacity (alpha) of the preview box: (30|40|50|60|70|80|90|100)
; 30 is very transparent, 100 is completely opaque.
PreviewBoxAlpha=100
; Location of preview. (Fixed, Dynamic).
previewLocation=Fixed
; 1 = Remove capture box before OCR. Possibly more accurate when OCR pre-processing is turned off,
;     but causes capture box to flicker.
PreviewRemoveCaptureBox=0
; Time (ms) that capture box must be static before OCRing for preview.
; Set to -1 to always OCR without waiting for the capture box to be static.
PreviewBoxWaitTime=400

;-----------------------------------------------------------------------------
[Hotkeys]
; Hotkeys that you can use:
;   http://www.autohotkey.com/docs/KeyList.htm
; Modifiers that you can use:
;   http://www.autohotkey.com/docs/Hotkeys.htm#Symbols
; Note: Be sure you don't assign a key to more than one hotkey.
; Examples:
;   #q  - Windows Key + Q
;   F5  - The F5 key
;   ^F5 - Ctrl + F5
;   !c  - Alt + C
; ----
; The key to use to start and end the OCR capture.
StartAndEndCaptureKey=#q
; This is an alternate key that you can use to end the OCR capture.
EndOnlyCaptureKey=LButton
; The key to use to toggle the active corner of the OCR capture area.
; Toggles between the top-left corner and bottom-right corner.
ToggleActiveCaptureCornerKey=Space
; When held down, the key allows you to move the entire OCR capture box with
; the mouse (not just one corner).
MoveCaptureKey=RButton
; The key to cancel an OCR capture.
CancelCaptureKey=Esc
; Nudge the active corner of the OCR capture to the left.
NudgeLeftKey=Left
; Nudge the active corner of the OCR capture to the right.
NudgeRightKey=Right
; Nudge the active corner of the OCR capture upwards.
NudgeUpKey=Up
; Nudge the active corner of the OCR capture downwards.
NudgeDownKey=Down
; Switch to Dictionary1 for OCR capture.
Dictionary1Key=#1
; Switch to Dictionary2 for OCR capture.
Dictionary2Key=#2
; Switch to Dictionary3 for OCR capture.
Dictionary3Key=#3
; Key to toggle OCR pre-processing
OcrPreProcessingKey=+^#b
; Key to toggle between vertical text mode and horizontal text mode.
; Only used for Chinese and Japanese.
TextDirectionToggleKey=#w

;-----------------------------------------------------------------------------
[Misc]
; 1 = This is the first run since installing, so show user initial help message
firstRun=1
